Relativity Admin Dialog

The Relativity Admin dialog (reached from the Control Panel) is used to configure information that is not specific to a single data source. This information is stored in the Windows registry at keys under HKEY_LOCAL_MACHINE\Software\Liant Software Corporation\Relativity\RELDBMS.INI.

This dialog is a Windows property sheet ("tabbed dialog"). Select from the following list of tabs:

Setup Options
MF File Manager Options
RM File Manager Options
RM Btrieve Options
RM/InfoExpress Options


Using RM/InfoExpress with Relativity

See Also

The 32-bit RM/InfoExpress Windows client software (rmtcp32.dll) is supplied with Relativity version 2.5 and later. It should reside in the Windows System directory.

The configuration procedures assume the following:

  • You have the RM/InfoExpress UNIX server main program (rmservertcp) and server screen handler program (rmdisptcp) installed and running on your host UNIX machine. (For more information, see RM/InfoExpress User's Guide for TCP/IP, Chapter 1, Installation and Verification.)
  • You have the complete Microsoft TCP/IP software package installed and configured in the Networking option on the Control Panel. (See RM/InfoExpress User's Guide for TCP/IP, Chapter 1 for more information.)
  • You are running Windows 95, Windows 98, or Windows NT clients.

Begin the configuration procedure.

See Also

Set Up RM/InfoExpress Options Dialog Box


Btrieve Definitions

This page contains the definitions of Btrieve terms.

Btrieve Record Manager | Btrieve Record Manager is a key-indexed record management system designed for high-performance data handling and improved programming productivity.
Btrieve | Btrieve is key-indexed record management software; it is also a trademark of Pervasive Software Inc.
RB Adapter | RB Adapter is a program that acts as an interpreter between the RM File Manager and the Btrieve Interface DLL.
Page | Fixed-length portions of memory used by the RB Adapter.
Index | A storage position, the contents of which represent the identification of a particular record in a file.
Indexed Files | The permanent logical file structure in which each record is identified by the value of one or more keys within that record.
Cache | An area in memory used to store pages of disk files. Caches are used to reduce the number of physical disk I/O requests.
Buffer | An area in memory that is used to temporarily store data.
Ignore | The lock mode value of Ignore means to ignore the WITH LOCK phrase and use the mode indicated in Mode option.
Deny | The lock mode value of Deny means that the WITH LOCK phrase will be denied.
Accept | The lock mode value of Accept means to accept the WITH LOCK phrase. If OPEN WITH LOCK is requested by the application, ignore the open mode indicated in the Mode option.
Accelerated | The open mode value of Accelerated means that Btrieve will not perform transaction logging for the file.
Exclusive | The open mode value of Exclusive means that Btrieve will attempt to open the file for exclusive use by this client.
Read-Only | The open mode value of Read-Only means that Btrieve will allow only read operations on files. No write operations will be allowed.
Normal | The open mode value of Normal means that Btrieve will open the file in the normal mode.
Verify | The open mode value of Verify is ignored by current versions of Btrieve. Older versions interpreted this to mean that write operations were verified.
TCP/IP | Transaction Control Program/Internet Protocol.
IPX/SPX | Novell Netware’s network communications protocol.
Linked Duplicates | For each key value stored in an index page, Btrieve stores two pointers with that key value and two pointers are stored at the end of the record in the data page. The pointers in the index page point to the first and last record with this key value. The pointers in the data page are used to link records with the same key value together. This is the default method of handling duplicates.
Repeating Duplicates | Btrieve stores duplicate key values into the index page and the data pages. Thus, both the key entries in the index pages and the records in the data page are smaller. However, if multiple records have the same value for a key, the value is repeated in the index.
Btrieve Version 5 | Designates Btrieve Version 5.0.
Btrieve Version 6.0 | Designates Btrieve Version 6.0.
Btrieve Version 6.1 | Designates Btrieve Version 6.1.


Format of Existing Files

By default, the Relativity driver assumes that data files are the same Micro Focus file format as the catalog. This can be overridden by explicitly attaching a file format to a file's connection or by assigning a default for the catalog.

File Connections

The primary means of associating a file format with a data file is by placing a format suffix on the file access name using the Relativity Designer or Administrator.

  • In the Relativity Designer, use the Connections menu item under the Security menu.
  • In the Administrator, use the Connections menu item under the Edit menu.

The suffix is a name that identifies the file’s format and is delimited by brackets ([]). The format names can be:

  • Default
  • Btrieve
  • CISAM
  • LEVELII
  • IDX4
  • IDX8
  • The brackets may also contain a decimal number

Catalog Default

Another means of specifying a file format is to choose a default data file format for the catalog via the Relativity Designer or Administrator option dialog.

  • In the Designer, it is on the Data Source tab.
  • In the Administrator, it is on the System tab.

Selecting a data file format other than none on the Preferences, specifies the format for all other data files in the catalog that do not have an explicit file format suffix specified by the file connections.


MF File Manager Page

MF File Manager Options Page

See Also

The MF File Manager dialog is used to configure file manager options that are common to all Micro Focus data sources. Option values set here apply to all Micro Focus data sources which do not specify conflicting values.

Option | Description
Global tab | This tab causes the Setup Options Page (Global) to be displayed.
RM/COBOL tab | This tab causes the RM File Manager Options Page to be displayed.
RM Btrieve tab | This tab causes the RM Btrieve Options Page to be displayed.
RM/InfoExpress tab | This tab causes the RM/InfoExpress Options Page to be displayed.
Created Tables Options group | The options in this group are used to configure the file format of indexed files that are created as a result of SQL CREATE TABLE statements.
New File Format list This list box specifies the file format of indexed files that are created as a result of SQL CREATE TABLE statements. The available entries are:
  • <None>
  • Micro Focus
  • Btrieve
  • C-ISAM
  • LEVEL II COBOL
  • IDXFORMAT"4"
  • IDXFORMAT"8"

This entry does not specify the format for existing files. If the New File Format is <None> then the Data File Format specified on the Designer's Data Source Option Page or the DBA's System Option Page is used. If the Data File Format is not present, the Catalog's Format is used.

Data Compress Num numeric field | This numeric field specifies the type data compression number to be used when new files are created as a result of created tables. This field is the same as the Micro Focus COBOL DATACOMPRESS compiler option. The value of 0 indicates that no compression of data records is to take place. The value of 1 indicates that compression algorithm 1 is to be used.
Key Compression check boxes | These three check boxes control compression of keys in new files that are created as a result of created tables.
Key Compression - Trailing Spaces check box This check box indicates whether compression of trailing spaces is to occur on the keys of new files that are created as a result of created tables.
  • If checked, the trailing spaces are compressed.
  • If not checked, the trailing spaces are not compressed.
Key Compression - Leading Characters check box This check box indicates whether compression of leading characters is to occur on the keys of new files that are created as a result of created tables.

  • If checked, the leading characters that are the same as in the previous key are compressed.
  • If not checked, the leading characters that are the same as in the previous key are not compressed.
Key Compression - Duplicates check box This check box indicates whether compression of duplicate keys is to occur on the keys of new files that are created as a result of created tables.

  • If checked, the repetitions of duplicate keys are compressed.
  • If not checked, the repetitions of duplicate keys are not compressed.
Key Compression - Sparse Character Num numeric field This numeric field specifies decimal number of the sparse character for keys of new files that are created as a result of created tables.
  • If this field contains a value, keys in the file that contain only this value are suppressed.
  • If this field does not contain a value, the sparse character is disabled.
Fixed Drives text field This field is a string of letters; separators are allowed but ignored. Each letter represents a drive letter which refers to a fixed, unchanging location. For example, a network drive that is always associated with the same server directory is "fixed". A network drive that is associated with different server directories at different times is not fixed. Also, a removable drive is not fixed.

Relativity can perform certain optimizations only for files located on fixed drives. These optimizations require that a given file name always refer to the same physical file. To be safe, Relativity assumes that network drives are not fixed. This option tells Relativity which drives it can trust to be fixed.

See Also

Relativity Admin Dialog

Format of Existing Files


Setup Options Page

The Setup Options dialog is used to configure information that is used when creating data sources and information global to the whole Data Manager.

Option | Description
Micro Focus tab | This tab causes the MF File Manager Options Page to be displayed.
RM/COBOL tab | This tab causes the RM File Manager Options Page to be displayed.
RM Btrieve tab | This tab causes the RM Btrieve Options Page to be displayed.
RM/InfoExpress tab | This tab causes the RM/InfoExpress Options Page to be displayed.
Create File DSNs automatically check box This check box controls if a "file data source" is created on the Windows machine each time a Relativity data source is created. Some software, including MS Query and Excel, recognize only file data sources.

  • If checked (the default), a "file data source" is created on the Windows machine each time a Relativity data source is created.
  • If not checked, file data sources are not created when Relativity data sources are created. Do not uncheck this box if you use MS Query or Excel or any other program which requires file data sources.
Default Setup Directory text field | This text field contains the directory name that is the initial working directory in the Get Open File Name dialog box when creating files.
Temporary Files Directory text field | This text field contains the directory name in which the Data Manager puts any temporary files it may need to create.
Show Deprecated Stored Procedures check box | When this check box is checked, the Relativity 4.0 DBA stored procedures, which were deprecated in the Relativity 4.1 release, will be enabled. The 4.0 stored procedures DBA_AddFileName, DBA_DeleteFileName, DBA_ListFileNames, DBA_ListTableConns, DBA_ModifyFileName will be restored. In particular, in Relativity 4.1, the stored procedure DBA_ListTableConns changed the name of the AccessNameID column to FileConnID and the name of the AccessName column to PathName. This option restores the original column names.
Default Literals to DECIMAL check box | When this check box is checked, columns created on numeric-literals constants that contain a decimal point but no exponent will result in a column of type SQL_DECIMAL, rather than SQL_REAL or SQL_DOUBLE. This check box configures only User Data Sources for the current user, and does not affect System Data Sources. See DefaultLiteralToDecimal in the Data Manager or Data Client help files for instructions to configure Data Servers and System Data Sources.
Maximum BCD Precision numeric field | This numeric field sets the size (precision) of a scalar function CONVERT which has a value_exp argument that is an expression or a numeric literal with an exponent, and which has a data_type argument of SQL_DECIMAL. The decimal digits (scale) will be half of the value of the Maximum BCD Precision field. The default is to create a SQL_DECIMAL column with a default size (precision) of 74 and a decimal digits (scale) of 37. This check box configures only User Data Sources for the current user. See BCDMaxPrecision in the Data Manager and Data Client help files to configure Data Servers and System Data Sources.
Maximum connections per process numeric field | This numeric field is the maximum number of ODBC connections allowed from each application program (process) to a single-tier (not client/server) version of Relativity. The minimum is one; the maximum is 256. If not specified, the default is 32.


RM ==> Btrieve Options Page

The RM Btrieve Options property sheet page is used to set up options needed to access Btrieve files. Values set in this dialog apply to all data sources for which you do not set different Btrieve options.

After selecting the options needed for your application, click the OK or Apply button to accept the changes. Click the Cancel button to not accept the selected Btrieve options.

Option | Description
Global tab | This tab causes the Setup Options Page (Global) to be displayed.
Micro Focus tab | This tab causes the MF File Manager Options Page to be displayed.
RM/COBOL tab | This tab causes the RM File Manager Options Page to be displayed.
RM/InfoExpress tab | This tab causes the RM/InfoExpress Options Page to be displayed.
RM File Manager Options group | This group of options configures the behavior of the RM File Manager. The Btrieve Interface DLL is accessed via the RM File Manager.
Enable Btrieve check box | This check box enables Btrieve access. If this box is not checked, no other options may be set. When this box is changed from unchecked to checked, all other options are set to their default values.
Allow File Creation check box | This check box specifies whether you want the RB Adapter to create any new indexed files as Btrieve files. If the box is checked, new indexed files may be created as Btrieve indexed files. If the box is not checked, new indexed files will not created as Btrieve indexed files. This option is checked by default.
Display Initial Message Box check box | This check box specifies whether the initial message box will be displayed when connecting to the data source. This option is used for debugging purposes and should not be used in a production environment. This option is unchecked by default.
Created Files group | This group contains the options used when Relativity creates a Btrieve file.
Duplicates radio buttons The valid values are Linked and Repeating and only one may be selected. The default value for this option is Linked.
  • The Linked radio button causes all keys of all Btrieve files created by Relativity to be linked-duplicatable keys. This is the default method of handling duplicates.
  • The Repeating radio button causes all keys of all Btrieve files created by Relativity to be repeating-duplicatable keys.
Adapter Page Size list | This list box specifies the default minimum page size for the RB Adapter. A larger page size transfers more data in a single disk request, requires more time to transfer, and requires more memory to contain the pages. A smaller page size allows more blocks in memory for a fixed amount of memory, but requires more time to randomly access a record by increasing the tree depth of each index for the file. If specified, the value must be a multiple of 512 in the range of 512 to 4096, inclusive. When creating a file, the page size used will be the smallest multiple of 512 sufficient to hold the file overhead, eight keys, the fixed part of the record, or if specified, the RB Adapter Page Size, whichever is greater. The value "Not Set" indicates that Btrieve should determine the minimum page size. The default value for this option is "Not Set".
Btrieve Options group | This group of options configures certain options passed to Btrieve.
Owner text field | This text field specifies the "owner" ID -- actually a security password -- for creating new files and for open requests for existing files. The value is a string of up to 8 characters. The value cannot contain spaces. The field contains no value by default.
Page Size list | This list box specifies the maximum page size of any Btrieve file you wish to access. This option determines the size of the buffers allocated in the cache. The maximum page size must be a multiple of 512 bytes and no greater than 4096 bytes. The larger the buffers size, the fewer buffers the client-based Btrieve Record Manager is able to allocate within the memory available. However, after you have started the Btrieve Record Manager, you are not able to open any Btrieve file with a page size larger than the size specified in this option. The value "Not Set" indicates that Btrieve should determine the maximum page size. The default value for this option is "Not Set".
Lock Mode radio buttons | These radio buttons are used to specify the manner in which the RB Adapter program is to handle the WITH LOCK phrase on OPEN statements. Valid values are Ignore, Deny, and Accept. The default value for this option is Accept.
Lock Mode radio buttons These radio buttons are used to specify the manner in which the RB Adapter is to handle the WITH LOCK phrase on OPEN statements. Valid values are Ignore, Deny, and Accept. The default value for this option is Accept.
  • The Accept radio button causes the WITH LOCK phrase to be accepted. If OPEN WITH LOCK is requested by the application, ignore the open mode indicated in the Mode option.
  • The Deny radio button causes the WITH LOCK phrase to be denied.
  • The Ignore radio button causes the WITH LOCK phrase to be ignored and the mode indicated in Mode option will be used instead.
Mode radio buttons These radio buttons are used to specify an open mode value to RB Adapter at the time each Btrieve file is opened. Valid values are Accelerated, Exclusive, Read-Only, Normal, and Verify. The default value is Normal.
  • The Accelerated radio button causes Btrieve to not perform transaction logging for the file.
  • The Exclusive radio button causes Btrieve to attempt to open the file for exclusive use by this client.
  • The Read-Only radio button causes Btrieve to allow only read operations on files. No write operations will be allowed.
  • The Normal radio button causes Btrieve to open the file in the normal mode.
  • The Verify radio button is ignored by current versions of Btrieve. Older versions interpreted this to mean that write operations were verified.
Debugging Options group | This group of options configures certain debugging features.
Trace File text field | This text field is used to specify the name of a file to which RB Adapter will write a trace. This feature is used when there is a problem with a Btrieve file not being successfully opened. It should not be used in a production environment because it degrades performance and the trace files could become quite large which might exhaust disk space. Specifying the trace file name actually enables the trace feature. If enabled, clear the trace file name to disable tracing. For ease-of-use, a Browse button is available to aid selecting the right trace file. The trace file does not need to exist in order to specify in this option. However, all directories in the specified path need to exist. The field contains no value by default.
Trace File Browse button | This button is used to specify the name of a file to which RB Adapter will write a trace. The located file is placed in the Trace File field.
Version Override list box This list box indicates to RB Adapter what version of the Btrieve engine will be used. Sometimes this is necessary because the Btrieve engine may not respond in manner that would distinctly indicate its version. In such cases, the following Engine Version values are available: 5, 60, 61. If no engine override is needed, the value "None" should be selected. The default value is "None".
  • The value 5 designates Btrieve Version 5.0.
  • The value 60 designates Btrieve Version 6.0.
  • The value 61 designates Btrieve Version 6.1.
Undo Changes button | This button restores all RM Btrieve options to the value last saved.
Restore Defaults button | This button resets all RM Btrieve options except Enable Btrieve to their default values.


RM File Manager Page

RM File Manager Options Page

See Also

The RM File Manager dialog is used to configure file manager options that are common to all RM data sources. Option values set here apply to all RM/COBOL data sources which do not specify conflicting values.

Option | Description
Global tab | This tab causes the Setup Options Page (Global) to be displayed.
Micro Focus tab | This tab causes the MF File Manager Options Page to be displayed.
RM/COBOL tab | This tab causes the RM File Manager Options Page to be displayed.
RM Btrieve tab | This tab causes the RM Btrieve Options Page to be displayed.
RM/InfoExpress tab | This tab causes the RM/InfoExpress Options Page to be displayed.
Buffer Pool Size numeric field | This numeric field enables setting of the buffer pool size to be used by the RM File Manager for buffer allocation. Note that only the value specified for the first data source connection takes effect when a single application connects to multiple data sources. The value specifies an integer number of kilobytes (1024 bytes) of memory to be allocated for the buffer pool. A value of zero indicates that the default value of 256K bytes should be used. If specified, the value must be a decimal integer from 16 to 649.
Fixed Drives text field | This text field is a string of letters; separators are allowed but ignored. Each letter represents a drive letter which refers to a fixed, unchanging location. For example, a network drive that is always associated with the same server directory is "fixed". A network drive that is associated with different server directories at different times is not fixed. Also, a removable drive is not fixed. Relativity can perform certain optimizations only for files located on fixed drives. These optimizations require that a given file name always refer to the same physical file. To be safe, Relativity assumes that network drives are not fixed. This option tells Relativity which drives it can trust to be fixed.

See Also

Relativity Admin Dialog


RM/InfoExpress Options Page

The RM/InfoExpress Options property sheet page is used to set up options needed to access files via RM/InfoExpress. Values set in this dialog apply to all data sources for which you do not set different InfoExpress options.

After selecting the options needed for your application, click the OK or Apply button to accept the changes. Click the Cancel button to not accept the selected InfoExpress options. Click any control to get more information.

Option | Description
Global tab | This tab causes the Setup Options Page (Global) to be displayed.
Micro Focus tab | This tab causes the MF File Manager Options Page to be displayed.
RM/COBOL tab | This tab causes the RM File Manager Options Page to be displayed.
RM Btrieve tab | This tab causes the RM Btrieve Options Page to be displayed.
RM File Manager Options group | This group of options configures the behavior of the RM File Manager. The RM/InfoExpress client DLL is accessed via the RM File Manager.
Enable InfoExpress check box | This check box enables RM/InfoExpress access. If this box is not checked, no other options may be set. When this box is changed from unchecked to checked, all other options are set to their default values.
Allow File Creation check box | This check box specifies whether new files are created on the InfoExpress server. If the box is checked, new indexed files may be created on the InfoExpress server. If the box is not checked, new indexed files will not created on the InfoExpress server. This option is checked by default.
Display Initial Message Box check box | This check box specifies whether the initial message box will be displayed when connecting to the data source. This option is used for debugging purposes and should not be used in a production environment. This option is unchecked by default.
Undo Changes button | This button restores all RM/InfoExpress options to the value last saved.
Restore Defaults button | This button resets all RM/InfoExpress options except Enable InfoExpress to their default values.


Relativity Admin

The following topics discuss the Relativity Admin utility.

Relativity Admin Dialog Box
Setup Options Dialog Box
MF File Manager Dialog Box
RM File Manager Dialog Box
Using RM/InfoExpress with Relativity


Using RM/InfoExpress

Modify the hosts and services Files on the Windows Client

The hosts file in the \WINDOWS directory on the client workstation must have an entry for both the client and the server. (If no hosts file exists, copy the HOSTS.SAM file and amend it as necessary.)

Sample entries are as follows:

128.35.108.111  scosysv
128.35.108.114  gerald

The /etc/hosts file on the UNIX server also must have the same entries for both the server and client.

Next


Using RM/InfoExpress

Create a Configuration File

Create a file, called rmixclnt.ini, in the main Windows directory (\WINDOWS) to set configuration parameters for RM/InfoExpress Windows and UNIX client programs. Include the following entry:

[winsock]
UseBlockingIo=Yes

This entry prevents a 10055 system error: "No available buffer space".

Next


Using RM/InfoExpress

Set Up a Relativity Data Source

There are two aspects to configuring the Relativity ODBC data source setup:

Configuring Relativity to use RM/InfoExpress.

Specifying the location of the Relativity catalog on the server.

All setup options can be configured from the Windows client workstation using the 32-bit ODBC option on the Control Panel.


Using RM/InfoExpress

Configuring Relativity to Use RM/InfoExpress

  1. On the Windows client workstation, go to Control Panel.

    To configure a single Relativity data source to use RM/InfoExpress, click here. Otherwise, continue with step 2.

  2. Select the Relativity Admin to access the Relativity Admin Options.
  3. Click RM File Manager.
  4. The RM File Manager for Windows dialog box is displayed. In the External Access frame, click the RM/InfoExpress check box, which enables its command button.
  5. Click RM/InfoExpress to display the Set Up RM/InfoExpress dialog box.

    The option for Allow File Creation is selected by default.

  6. Click Advanced.
  7. Set the Display Initial Message Box option to Yes.

    This is useful when first configuring Relativity to use RM/InfoExpress. A message box will be displayed when RM/InfoExpress is first called. If the message box is not displayed, it indicates that any problems are not network related, but are caused by the software installation. Similarly, if there is a problem but the message box is displayed, the problem is related to the network.

    Note After installation is verified, you may return to the Setup RM/InfoExpress dialog box as described in steps 2 through 6 and change the Display Initial Message Box option to No.

  8. Click OK to close the Setup RM/InfoExpress dialog box.
  9. Click OK to close the RM File Manager for Windows dialog box.
  10. Click Close to close the Relativity Admin Options dialog box.

    Then, to create a data source, do the following:

  11. Select the 32bit ODBC option to access the 32-bit ODBC Administrator.
  12. In the Data Sources dialog box, click Add.
  13. In the Add Data Source dialog box, select Relativity for RM (*.rct) as the driver type.

    The ODBC Relativity for RM Setup dialog box is displayed. It has entries for the data source name and description, as well as buttons to select or create a Relativity catalog.

  14. Enter the desired name for the data source (what users will see from their ODBC-enabled application, such as Microsoft Access or Excel).

Continue by specifying the location of the Relativity catalog on the server.


Using RM/InfoExpress

Configuring a Relativity Data Source to Use RM/InfoExpress

  1. Select the 32-bit ODBC option to access the 32-bit ODBC Administrator

  2. In the Data Sources dialog box, click Add.
  3. In the Add Data Source dialog box, select Relativity for RM (*.rct) as the driver type.

    The ODBC Relativity for RM Setup dialog box is displayed. It has entries for the data source name and description, as well as buttons to select or create a Relativity catalog.

  4. Enter the desired name for the data source (what users will see from their ODBC-enabled application, such as Microsoft Access or Excel).
  5. Click Options to expand the ODBC Relativity for RM Setup dialog box.
  6. In the External Access frame, click the RM/InfoExpress check box, which enables its command button.
  7. Click RM/InfoExpress to display the Setup RM/InfoExpress dialog box.

    The options for "Create - Yes" and "Protocol - TCP" are selected by default.

  8. Click Advanced.
  9. Set the Display Initial Message Box option to Yes.

    This is useful when first configuring Relativity to use RM/InfoExpress. A message box will be displayed when RM/InfoExpress is first called. If the message box is not displayed, it indicates that any problems are not network related, but are caused by the software installation. Similarly, if there is a problem but the message box is displayed, the problem is related to the network.

    Note After installation is verified, you may return to the Setup RM/InfoExpress dialog box using the 32-bit ODBC Administrator as described in steps 1 through 8 and change the Display Initial Message Box option to No.

  10. Click OK to close the Setup RM/InfoExpress dialog box.

Continue by specifying the location of the Relativity catalog on the server.


Using RM/InfoExpress

Specifying the Location of the Relativity Catalog on the Server

To specify the location of the Relativity catalog on the server:

  1. Complete the steps described previously under Configuring Relativity to Use RM/InfoExpress.
  2. In the ODBC Relativity for RM Setup dialog box, click Options (if necessary to expand the dialog box) and select the Access catalog using RM/InfoExpress only check box.

    The Setup RM/InfoExpress Catalog dialog box is displayed to enable you to specify the complete pathname to the Relativity catalog.

  3. Enter the complete pathname.

    You must specify the name in the format \\RMInfoExpressServer\PathToFile, where RMInfoExpressServer must match the TCP/IP host name for the server machine on this client (for example, \\HOSTNAME\test.rct). The following example specifies a Relativity catalog called shirt3.rct in the directory /usr/relsamples on the server scosysv:

    \\scosysv\usr\relsamples\shirt3.rct

    After you enter a valid RM/InfoExpress server and filename, the Relativity catalog name will be validated and returned to the ODBC Relativity for RM Setup dialog box as the name of the Relativity catalog for the data source.

    Note If you set the Display Initial Message Box option to Yes in step 7 of the instructions for Configuring Relativity to Use RM/InfoExpress (or step 9 of the instructions for Configuring a Relativity Data Source to Use RM/InfoExpress) , you may now set that option to No.


Micro Focus File Format Definitions

This page contains the definitions of Micro Focus file formats.

Catalog Default File Format | The file format value <None>, when specified for a catalog, indicates that no specific format is requested. This will result in the standard Micro Focus indexed file format being used.
Data File Default File Format | The file format value <None>, when specified for a data file, specifies that no specific format is requested. This will result in a new data file having the file format specified by Catalog Default for existing files or, if there is not a Catalog Default, it will be the same file format as the catalog.
Micro Focus File Format | The value Micro Focus specifies the file as the default Micro Focus file format.
Btrieve File Format | The value Btrieve specifies the file as a Btrieve file format.
C-ISAM File Format | The value C-ISAM will specifies the file as a C-ISAM file format.
LEVEL II File Format | The value LEVEL II COBOL specifies the file as a Micro Focus Level II indexed file format.
IDXFORMAT"4" File Format | The value IDXFORMAT"4" specifies the file as an optimized form of the format used by this system, for fast duplicate key handling.
IDXFORMAT"8" File Format | The value IDXFORMAT"8" specifies a large file format.


Format of Existing Files

By default, the Relativity driver assumes that data files are the same Micro Focus file format as the catalog. This can be overridden by explicitly attaching a file format to a file's connection or by assigning a default for the catalog.

File Connections

The primary means of associating a file format with a data file is by placing a format suffix on the file access name using the Relativity Designer or Administrator.

  • In the Relativity Designer, use the Connections menu item under the Security menu.
  • In the Administrator, use the Connections menu item under the Edit menu.

The suffix is a name that identifies the file’s format and is delimited by brackets ([]). The format names can be:

  • Default
  • Btrieve
  • CISAM
  • LEVELII
  • IDX4
  • IDX8
  • The brackets may also contain a decimal number

Catalog Default

Another means of specifying a file format is to choose a default data file format for the catalog via the Relativity Designer or Administrator Options dialog.

  • In the Designer, it is on the Data Sources tab.
  • In the Administrator, it is on the System tab.

Selecting a data file format other than none on the Options dialog, specifies the format for all other data files in the catalog that do not have an explicit file format suffix specified by the file connections.


Micro Focus File Suffix Definitions

Micro Focus File Format Suffixes

This page contains the suffixes that can be added to Micro Focus file names to specify the format of the file.

Default File Format Suffix

The format name Default will specify the file as a system-specific default format, which is the standard Micro Focus indexed file format.

Btrieve File Format Suffix

The format name Btrieve will specify the file as a Btrieve file.

CISAM File Format Suffix

The format name CISAM will specify the file as a C-ISAM file.

Level II File Format Suffix

The format name LEVELII will specify the file as a Micro Focus Level II format file.

IDX4 File Format Suffix

The format name IDX4 will specify an optimized form of the format used by this system, for fast duplicate key handling.

IDX8 File Format Suffix

The format name IDX8 will specify a large file format.

Numeric File Format Suffix

If the format is a number, it is the same as the value specified in the Micro Focus COBOL FILETYPE directive. See the Micro Focus COBOL, COBOL System Reference manual for more details.